<!DOCTYPE html>
<html lang="en">

<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Activity 6</title>
<script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>

<script>
	// Define a User Object
	var User = {
		firstName : "John",
		lastName : "Lennon",
		age : 80
	};

	// Define a function to write a User into a table row using 2 different jQuery Selectors
	function displayUser() {
		$("#fn").html(User.firstName); // Selector directly to the table data fn id
		$("#users").find("#ln").html(User.lastName); // Selector to ln id from parent table users id
		$("#users").find("#age").html(User.age); // Selector to age id from parent table users id
	}

	// Update our User table using jQuery
	$(document).ready(displayUser);
</script>
</head>

<body>
	<table id="users" width="50%" border="1">
		<thead>
			<tr>
				<th width="33%">First Name</th>
				<th width="33%">Last Name</th>
				<th width="33%">Age</th>
			</tr>
		</thead>
		<tbody>
			<tr align="center">
				<td id="fn">?</td>
				<td id="ln">?</td>
				<td id="age">?</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
